- name: Lumigis
  lumigis:
    aps:
      sdev88:
        use_it: false
        new_project: false
        design_project: false
        show_metadata: false
    gis:
      sdev88:
        use_it: true
        db_service: sigadmin
        gis_treeview: true
        treeview_mode: numerotation
        show_metadata: false
        export_group: true
        extract_kit_entreprise: true
        import_kit_entreprise: true
        generate_names: true
        import_csv: true
        report_ep: false
        report_detection: false
        standardize_kit: true
        sheath_cable: true
        settings: true
        combo_intervention: true
        label_description_intervention: true
        button_raz: true
        button_validate: true
        button_install: true
        button_pan_to_selected: true
        button_zoom_to_selected: true
        button_identify: true
        short_name: "sdev"
        export_folder: "@project_folder/export/gpkg/"
        exploitant: "Syndicat Départemental d'Electricité des Vosges"
        schema: "sig_ecp"
        table_communes: "t_r_insee_communes"
        table_commune_id: "id"
        table_commune_libelle: "libelle"
        clean_filter_on_closing: false
        default:
          layer_prefix: "undefined"
          table_name: "undefined"
          view_name: "undefined"
          col_id: "id"
          col_insee: "t_r_insee_commune_id"
          col_idnom: "idnom"
          view_col_id: "numero"
          view_col_insee: "insee"
          view_col_idnom: "undefined"
          regex: None
          child_name: "undefined"
          symbol_name: "undefined"
          coord_dimension: 3

        lux_layers:
          SUPPORT:
            type: "LUX"
            name: "supports"
            short_name: "supports"
            LumigisLayersConst: 0
            view_name: "vue_kit_supports"
            table_name: "ecp_supports"
            prefix:
            regular_expression: "^Créer support$|^S[0-9]{4}$|^[*]S[1-9][0-9]{0,3}$"
            col_id: "id"
            col_insee: "t_r_insee_commune_id"
            col_idnom: "idnom"
            view_col_id: "numero"
            view_col_insee: "insee"
            view_col_idnom: "id_support"
            symbol_name: "support.svg"
            child_name: "Créer foyer"
            geometry_col_name: "geom"

          ARMOIRE:
            type: "LUX"
            name: "armoires"
            short_name: "armoires"
            LumigisLayersConst: 1
            view_name: "vue_kit_armoires"
            table_name: "ecp_armoires"
            prefix:
            regular_expression: "^Créer armoire$|^[A-Z]{1,2}$|^[*][A][1-9][0-9]{0,2}$"
            col_id: "id"
            col_insee: "t_r_insee_commune_id"
            col_idnom: "idnom"
            view_col_id: "numero"
            view_col_insee: "insee"
            view_col_idnom: "id_armoire"
            symbol_name: "armoire-curseur.svg"
            child_name: "Créer départ"
            geometry_col_name: "geom"
            sql_pan_to: >
              WITH g AS
              (SELECT geom FROM ecp_foyers
              WHERE armoire_id = ? AND geom IS NOT NULL
              UNION SELECT geom FROM ecp_armoires WHERE id = ? AND geom IS NOT NULL),
              e AS (SELECT st_envelope(st_collect(geom)) AS ext FROM g)
              SELECT st_xmin(ext) AS xmin,st_ymin(ext) AS ymin,
              st_xmax(ext) AS xmax,
              st_ymax(ext) AS ymax
              FROM e

          DEPART:
            type: "LUX"
            name: "departs"
            short_name: "departs"
            LumigisLayersConst: 2
            view_name: "vue_kit_departs"
            table_name: "ecp_departs"
            prefix:
            regular_expression: "^Créer départ$|^[*]?[1-9][0-9]?$"
            col_id: "id"
            col_insee: "t_r_insee_commune_id"
            col_idnom: "idnom"
            view_col_id: "numero"
            view_col_insee: "insee"
            view_col_idnom: "id_depart"
            symbol_name:
            child_name: "Créer foyer"
            geometry_col_name:
            sql_pan_to: >
              WITH g AS
              (SELECT geom FROM ecp_foyers f WHERE depart_id = ? AND geom IS NOT NULL
              UNION SELECT geom FROM ecp_armoires WHERE id =
              (SELECT ecp_armoire_id FROM ecp_departs WHERE id = ?)),
              e AS (SELECT st_envelope(st_collect(geom)) AS ext FROM g)
              SELECT st_xmin(ext) AS xmin,st_ymin(ext) AS ymin,
              st_xmax(ext) AS xmax,st_ymax(ext) AS ymax
              FROM e

          FOYER:
            type: "LUX"
            name: "foyers"
            short_name: "foyers"
            LumigisLayersConst: 3
            view_name: "vue_kit_foyers"
            table_name: "ecp_foyers"
            prefix:
            regular_expression: "Créer foyer|^F[0-9A-Z][A-Z]{0,1}[0-9]{3}$|^[*]F[1-9][0-9]{0,2}$"
            col_id: "id"
            col_insee: "t_r_insee_commune_id"
            col_idnom: "idnom"
            view_col_id: "numero"
            view_col_insee: "insee"
            view_col_idnom: "id_foyer"
            symbol_name: "foyer.svg"
            child_name: "Créer source"
            geometry_col_name: "geom"

          SOURCE:
            type: "LUX"
            name: "sources"
            short_name: "sources"
            LumigisLayersConst: 4
            view_name: "vue_kit_sources"
            table_name: "ecp_sources"
            prefix: "Sou"
            regular_expression: "^Sou\\d+$|Créer source"
            col_id: "id"
            col_insee: "t_r_insee_commune_id"
            col_idnom: "idnom"
            view_col_id: "numero"
            view_col_insee: "insee"
            view_col_idnom: "numero"
            symbol_name:
            child_name:

          CABLE:
            type: "LUX"
            name: "cables"
            short_name: "cables"
            LumigisLayersConst: 5
            view_name: "vue_kit_cables"
            table_name: "ecp_cables"
            prefix:
            regular_expression:
            col_id: "id"
            col_insee: "t_r_insee_commune_id"
            col_idnom:
            view_col_id: "numero"
            view_col_insee: "insee"
            view_col_idnom:
            symbol_name:
            child_name:

          POINT:
            type: "LUX"
            name: "Accessoires"
            short_name: "accessoires"
            LumigisLayersConst: 6
            view_name: "vue_kit_points"
            table_name: "ecp_points"
            prefix:
            regular_expression:
            col_id: "id"
            col_insee: "t_r_insee_commune_id"
            col_idnom:
            view_col_id: "numero"
            view_col_insee: "insee"
            view_col_idnom:
            symbol_name:
            child_name:

          LIGNE:
            type: "LUX"
            name: "Fourreaux et reseaux divers"
            short_name: "fourreaux_et_reseaux_divers"
            LumigisLayersConst: 7
            view_name: "vue_kit_lignes"
            table_name: "ecp_lignes"
            prefix:
            regular_expression:
            col_id: "id"
            col_insee: "t_r_insee_commune_id"
            col_idnom:
            view_col_id: "numero"
            view_col_insee: "insee"
            view_col_idnom:
            symbol_name:
            child_name:

          TEXTE:
            type: "LUX"
            name: "Etiquettes"
            short_name: "etiquettes"
            LumigisLayersConst: 8
            view_name: "vue_kit_etiquettes"
            table_name: "ecp_etiquettes"
            prefix:
            regular_expression:
            col_id: "id"
            col_insee: "t_r_insee_commune_id"
            col_idnom:
            view_col_id: "numero"
            view_col_insee: "insee"
            view_col_idnom:
            symbol_name:
            child_name:

        fdp_layers:
